import { Task } from "./task";
export declare class Rule {
    readonly config: [RegExp | ((path: string) => boolean), string];
    readonly option: {
        type?: string;
    };
    type: string;
    tester: RegExp | ((path: string) => boolean);
    command: string;
    constructor(config: [RegExp | ((path: string) => boolean), string], option?: {
        type?: string;
    });
    test(path: string): any;
    taskFromPath(path: string): Task;
}
