"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const task_1 = require("./task");
class Rule {
    constructor(config, option = {}) {
        this.config = config;
        this.option = option;
        this.type = this.option.type || "create";
        this.tester = this.config[0];
        this.command = this.config[1];
    }
    test(path) {
        if (this.tester && this.tester["test"]) {
            return this.tester["test"](path);
        }
        else if (typeof this.tester == "function") {
            return this.tester(path);
        }
        return false;
    }
    taskFromPath(path) {
        return new task_1.Task(path, this.command);
    }
}
exports.Rule = Rule;
//# sourceMappingURL=rule.js.map