declare type Callback<T = any, E = Error> = (error?: E, data?: T) => void;
export declare class Task {
    readonly path: any;
    readonly rawCommand: string;
    option: any;
    extname: string;
    filename: string;
    basename: string;
    directory: string;
    command: string;
    constructor(path: any, rawCommand: string, option?: any);
    equal(task: Task): string;
    isDone: boolean;
    isExecuting: boolean;
    exec(callback: Callback<null>): void;
    toString(): string;
}
export {};
