import * as Leaf from "leaf-ts";
import { Task } from "./task";
export declare class Queue extends Leaf.States {
    readonly verbose: boolean;
    constructor(verbose?: boolean);
    tasks: Task[];
    add(task: Task): boolean;
    data: {
        shouldPause?: boolean;
        currentTask?: Task;
    };
    pause(): void;
    atWaiting(): void;
    events: Leaf.EventEmitter<{
        state: string;
        empty: any;
    }>;
    atWorking(stale: any): void;
}
